Subject: Re: [bug#66618] [PATCH] etc: gitconfig: Remove the default email address to avoid mistakes.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 19 Oct 2023 21:54:38 -0400

Hi,

Clément Lassieur <[email-masked]> writes:

>> > This just happened to me twice in a row, so I imagine it could happen to some
>> > other people as well.
>> 
>> That's part of learning 'git send-email', I'd think :-).  On a positive
>> note, now you get to learn how to use Debbugs for the same price ;-).
>
> People don't expect their git/config to be modified in such
> substantial ways.  It's already difficult for new comers to use git
> send-email well, please don't make it harder.  (And I'm not even
> talking about the crash.)
>
> There this git send-email feature:
>
>>        The header of the email is configurable via command-line
>> options. If not specified on the command line, the user will be
>> prompted with a ReadLine enabled interface to provide the necessary
>> information.
>
> that has been removed with your patch.  I call this a bug.

One could argue it's also a misleading documentation.  It should say if
a 'to' address is not specified *or* configured.  What would you have
typed interactively if prompted; [email-masked]? :-) I think you
might grow to like this default after this initial mishap.

> I prefer the "wontfix" tag if you really don't want to amend your patch. :-)

OK!  I'll leave this opened for a bit longer to allow for others to tip
in, after which I'll do so.

-- 
Thanks,
Maxim